## Class TActiveListControlAdapter

Description

Implements interfaces:

- IListControlAdapter

TActiveListControlAdapter class.

Adapte the list controls to allows the selections on the client-side to be altered during callback response.

- since: 3.1
- version: $Id: TActiveListControlAdapter.php 1449 2006-09-30 01:49:58Z wei $
- author: Wei Zhuo <weizhuo[at]gmail[dot]com>

Located in /Web/UI/ActiveControls/TActiveListControlAdapter.php (line 30)

    TComponent
       |
       --TApplicationComponent
          |
          --TControlAdapter
             |
             --TActiveControlAdapter
                |
                --TActiveListControlAdapter

Method Summary
boolean canUpdateClientSide ()
void clearSelection ()
void setSelectedIndex (integer $index)
void setSelectedIndices (array $indices)
void setSelectedValue (string $value)
void setSelectedValues (array $values)
void updateListItems ()
Methods
canUpdateClientSide (line 35)

- return: true if can update client-side attributes.
- access: protected

boolean canUpdateClientSide ()
clearSelection (line 112)

Clears all existing selections on the client side.

- access: public

void clearSelection ()
setSelectedIndex (line 44)

Selects an item based on zero-base index on the client side.

- access: public

void setSelectedIndex (integer $index)

- integer $index: the index (zero-based) of the item to be selected

setSelectedIndices (line 58)

Selects a list of item based on zero-base indices on the client side.

- access: public

void setSelectedIndices (array $indices)

- array $indices: list of index of items to be selected

setSelectedValue (line 81)

Sets selection by item value on the client side.

- access: public

void setSelectedValue (string $value)

- string $value: the value of the item to be selected.

setSelectedValues (line 95)

Sets selection by a list of item values on the client side.

- access: public

void setSelectedValues (array $values)

- array $values: list of the selected item values

updateListItems (line 124)

Update the client-side list options.

- access: public

void updateListItems ()

#### Inherited Methods

Inherited From TActiveControlAdapter

> TActiveControlAdapter::__construct()
> TActiveControlAdapter::getBaseActiveControl()
> TActiveControlAdapter::getIsTrackingPageState()
> TActiveControlAdapter::getStateTracker()
> TActiveControlAdapter::onLoad()
> TActiveControlAdapter::render()
> TActiveControlAdapter::renderCallbackClientScripts()
> TActiveControlAdapter::saveState()
> TActiveControlAdapter::setBaseActiveControl()
> TActiveControlAdapter::setBaseControlClass()

Inherited From TControlAdapter

> TControlAdapter::__construct()
> TControlAdapter::createChildControls()
> TControlAdapter::getControl()
> TControlAdapter::getPage()
> TControlAdapter::loadState()
> TControlAdapter::onInit()
> TControlAdapter::onLoad()
> TControlAdapter::onPreRender()
> TControlAdapter::onUnload()
> TControlAdapter::render()
> TControlAdapter::renderChildren()
> TControlAdapter::saveState()

Inherited From TApplicationComponent

> TApplicationComponent::getApplication()
> TApplicationComponent::getRequest()
> TApplicationComponent::getResponse()
> TApplicationComponent::getService()
> TApplicationComponent::getSession()
> TApplicationComponent::getUser()
> TApplicationComponent::publishAsset()
> TApplicationComponent::publishFilePath()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:29:33 -0400 by phpDocumentor 1.3.0RC4